package com.magnatune.eyecreate.companionformagnatune.adapters;

import android.content.Context;
import android.view.View;
import android.view.ViewGroup;

import com.magnatune.eyecreate.companionformagnatune.R;
import com.magnatune.eyecreate.companionformagnatune.model.Album;
import com.magnatune.eyecreate.companionformagnatune.viewholders.AlbumViewHolder;
import com.squareup.picasso.Picasso;

import io.realm.RealmBasedRecyclerViewAdapter;
import io.realm.RealmResults;

public class AlbumsAdapter extends RealmBasedRecyclerViewAdapter<Album,AlbumViewHolder> {

    public AlbumsAdapter(Context context, RealmResults<Album> realmResults, boolean automaticUpdate, boolean animateResults, String animateExtraColumnName) {
        super(context, realmResults, automaticUpdate, animateResults, animateExtraColumnName);
    }

    @Override
    public AlbumViewHolder onCreateRealmViewHolder(ViewGroup viewGroup, int i) {
        View v = inflater.inflate(R.layout.listitem_album_card,viewGroup,false);
        AlbumViewHolder albumView = new AlbumViewHolder(v);
        return albumView;
    }

    @Override
    public void onBindRealmViewHolder(AlbumViewHolder albumViewHolder, int i) {
        albumViewHolder.artistName.setText(realmResults.get(i).getArtist());
        albumViewHolder.albumName.setText(realmResults.get(i).getAlbumname());
        Picasso.with(albumViewHolder.itemView.getContext()).load(realmResults.get(i).getCover_small()).into(albumViewHolder.albumArt);
    }
}
